<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="_l_c_d_conf_8h" kind="file" language="C++">
    <compoundname>LCDConf.h</compoundname>
    <includes local="yes" refid="emwin_8h">emwin.h</includes>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*********************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SEGGER<sp />Microcontroller<sp />GmbH<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="3"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Solutions<sp />for<sp />real<sp />time<sp />microcontroller<sp />applications<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="4"><highlight class="comment">**********************************************************************</highlight></codeline>
<codeline lineno="5"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="6"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(c)<sp />1996<sp />-<sp />2018<sp /><sp />SEGGER<sp />Microcontroller<sp />GmbH<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="7"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="8"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Internet:<sp />www.segger.com<sp /><sp /><sp /><sp />Support:<sp /><sp />support@segger.com<sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="9"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="10"><highlight class="comment">**********************************************************************</highlight></codeline>
<codeline lineno="11"><highlight class="comment" /></codeline>
<codeline lineno="12"><highlight class="comment">**<sp />emWin<sp />V5.48<sp />-<sp />Graphical<sp />user<sp />interface<sp />for<sp />embedded<sp />applications<sp />**</highlight></codeline>
<codeline lineno="13"><highlight class="comment">All<sp /><sp />Intellectual<sp />Property<sp />rights<sp /><sp />in<sp />the<sp />Software<sp />belongs<sp />to<sp /><sp />SEGGER.</highlight></codeline>
<codeline lineno="14"><highlight class="comment">emWin<sp />is<sp />protected<sp />by<sp /><sp />international<sp />copyright<sp />laws.<sp /><sp />Knowledge<sp />of<sp />the</highlight></codeline>
<codeline lineno="15"><highlight class="comment">source<sp />code<sp />may<sp />not<sp />be<sp />used<sp />to<sp />write<sp />a<sp />similar<sp />product.<sp /><sp />This<sp />file<sp />may</highlight></codeline>
<codeline lineno="16"><highlight class="comment">only<sp />be<sp />used<sp />in<sp />accordance<sp />with<sp />the<sp />following<sp />terms:</highlight></codeline>
<codeline lineno="17"><highlight class="comment" /></codeline>
<codeline lineno="18"><highlight class="comment">The<sp />software<sp /><sp />has<sp />been<sp />licensed<sp />to<sp /><sp />Cypress<sp />Semiconductor<sp />Corporation,</highlight></codeline>
<codeline lineno="19"><highlight class="comment">whose<sp />registered<sp /><sp />office<sp />is<sp />situated<sp /><sp />at<sp />198<sp />Champion<sp />Ct.<sp />San<sp />Jose,<sp />CA</highlight></codeline>
<codeline lineno="20"><highlight class="comment">95134<sp />USA<sp /><sp />solely<sp />for<sp />the<sp /><sp />purposes<sp />of<sp />creating<sp /><sp />libraries<sp />for<sp />Cypress</highlight></codeline>
<codeline lineno="21"><highlight class="comment">PSoC3<sp />and<sp /><sp />PSoC5<sp />processor-based<sp />devices,<sp /><sp />sublicensed<sp />and<sp />distributed</highlight></codeline>
<codeline lineno="22"><highlight class="comment">under<sp /><sp />the<sp /><sp />terms<sp /><sp />and<sp /><sp />conditions<sp /><sp />of<sp /><sp />the<sp /><sp />Cypress<sp /><sp />End<sp />User<sp />License</highlight></codeline>
<codeline lineno="23"><highlight class="comment">Agreement.</highlight></codeline>
<codeline lineno="24"><highlight class="comment">Full<sp />source<sp />code<sp />is<sp />available<sp />at:<sp />www.segger.com</highlight></codeline>
<codeline lineno="25"><highlight class="comment" /></codeline>
<codeline lineno="26"><highlight class="comment">We<sp />appreciate<sp />your<sp />understanding<sp />and<sp />fairness.</highlight></codeline>
<codeline lineno="27"><highlight class="comment">----------------------------------------------------------------------</highlight></codeline>
<codeline lineno="28"><highlight class="comment">Licensing<sp />information</highlight></codeline>
<codeline lineno="29"><highlight class="comment">Licensor:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SEGGER<sp />Microcontroller<sp />Systems<sp />LLC</highlight></codeline>
<codeline lineno="30"><highlight class="comment">Licensed<sp />to:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cypress<sp />Semiconductor<sp />Corp,<sp />198<sp />Champion<sp />Ct.,<sp />San<sp />Jose,<sp />CA<sp />95134,<sp />USA</highlight></codeline>
<codeline lineno="31"><highlight class="comment">Licensed<sp />SEGGER<sp />software:<sp />emWin</highlight></codeline>
<codeline lineno="32"><highlight class="comment">License<sp />number:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />GUI-00319</highlight></codeline>
<codeline lineno="33"><highlight class="comment">License<sp />model:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Services<sp />and<sp />License<sp />Agreement,<sp />signed<sp />June<sp />10th,<sp />2009</highlight></codeline>
<codeline lineno="34"><highlight class="comment">Licensed<sp />platform:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Any<sp />Cypress<sp />platform<sp />(Initial<sp />targets<sp />are:<sp />PSoC3,<sp />PSoC5)</highlight></codeline>
<codeline lineno="35"><highlight class="comment">----------------------------------------------------------------------</highlight></codeline>
<codeline lineno="36"><highlight class="comment">Support<sp />and<sp />Update<sp />Agreement<sp />(SUA)</highlight></codeline>
<codeline lineno="37"><highlight class="comment">SUA<sp />period:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />2009-06-12<sp />-<sp />2022-07-27</highlight></codeline>
<codeline lineno="38"><highlight class="comment">Contact<sp />to<sp />extend<sp />SUA:<sp /><sp /><sp /><sp />sales@segger.com</highlight></codeline>
<codeline lineno="39"><highlight class="comment">----------------------------------------------------------------------</highlight></codeline>
<codeline lineno="40"><highlight class="comment">File<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />:<sp />LCDConf.h</highlight></codeline>
<codeline lineno="41"><highlight class="comment">Purpose<sp /><sp /><sp /><sp /><sp />:<sp />Display<sp />driver<sp />configuration<sp />file</highlight></codeline>
<codeline lineno="42"><highlight class="comment">----------------------------------------------------------------------</highlight></codeline>
<codeline lineno="43"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"emwin.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(EMWIN_ENABLED)</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal">{</highlight></codeline>
<codeline lineno="54"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /><highlight class="comment">//<sp />Physical<sp />display<sp />size</highlight><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MTB_DISPLAY_SIZE_X<sp /><sp /><sp /><sp /><sp /><sp /><sp />240</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MTB_DISPLAY_SIZE_Y<sp /><sp /><sp /><sp /><sp /><sp /><sp />320</highlight><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MTB_DISPLAY_COLOR_BITS<sp /><sp /><sp />16</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal">}</highlight></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(EMWIN_ENABLED)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="comment">/***************************<sp />End<sp />of<sp />file<sp />****************************/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/configs/emwin/LCDConf.h" />
  </compounddef>
</doxygen>